Rensei docs

Per-workspace JWKS for audit signature verification.

Fully unauthenticated RFC 7517 JWKS endpoint. Returns active and revoked Ed25519 keys so third parties can verify historical audit signatures without a Rensei account. Unknown workspaces return `200 {"keys":[]}` to avoid revealing workspace existence. Both `/{workspace_id}` and `/{workspace_id}.json` are accepted.

GET
/.well-known/audit-keys/{workspace_id}

Path Parameters

workspace_id*string
Length1 <= length

Header Parameters

If-None-Match?string

Response Body

JWKS with active and revoked Ed25519 signing keys.

application/jwk-set+json
  1. response
keys*array<>
Example Request
curl -X GET 'https://app.rensei.ai/.well-known/audit-keys/string'
Example Response
{  "keys": [    {      "kid": "string",      "kty": "OKP",      "crv": "Ed25519",      "alg": "EdDSA",      "use": "sig",      "x": "string",      "rensei:workspace_id": "string",      "rensei:created_at": "2019-08-24T14:15:22Z",      "rensei:revoked_at": "2019-08-24T14:15:22Z"    }  ]}